Expenses

Get My Hris Expense Reports

Lists all of the caller's own expense reports, newest first, unpaginated.

GEThttps://api.toku.com/hris/get-my-hris-expense-reports

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/hris/get-my-hris-expense-reports' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "hrisExpenseReportID": "string",
    "roleInOrgID": "string",
    "roleInOrgName": "string",
    "roleInOrgEmail": "string",
    "roleInOrgDepartment": "string",
    "name": "string",
    "status": "DRAFT",
    "startDate": "string",
    "endDate": "string",
    "expensedCurrencyID": "string",
    "expensedCurrencyCode": "string",
    "expensedCurrencyName": "string",
    "totalAmountInExpenseCurrency": "string",
    "submittedAt": "string",
    "approvedAt": "string",
    "rejectedAt": "string",
    "paidAt": "string",
    "payoutStatus": "PENDING",
    "decisionUndoableUntil": "string",
    "rejectionReason": "string",
    "reviewComment": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "expenseCount": 0,
    "categoryNames": [
      "string"
    ],
    "primaryExpenseCategoryName": "string",
    "hasReceiptlessExpenses": true,
    "thirdPartyProvider": "EXPENSIFY",
    "thirdPartyReportID": "string",
    "reimbursementSyncedAt": "string",
    "reimbursementSyncError": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
hrisExpenseReportIDstringrequired
roleInOrgIDstringrequired
roleInOrgNamestring | nullrequired
roleInOrgEmailstring | nullrequired
roleInOrgDepartmentstring | nullrequired
namestringrequired
statusstringrequired

Available options: DRAFT, SUBMITTED, PENDING_INFO, APPROVED, REJECTED, CANCELLED, PAID, PROCESSING

startDatestringrequired
endDatestringrequired
expensedCurrencyIDstringrequired
expensedCurrencyCodestring | nullrequired
expensedCurrencyNamestring | nullrequired
totalAmountInExpenseCurrencystring | nullrequired
submittedAtstring | nullrequired
approvedAtstring | nullrequired
rejectedAtstring | nullrequired
paidAtstring | nullrequired
payoutStatusstring | nullrequired

Available options: PENDING, PROCESSING, PAID, FAILED, CANCELLED, null

decisionUndoableUntilstring | nullrequired
rejectionReasonstring | nullrequired
reviewCommentstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
expenseCountnumberrequired
categoryNamesstring[]required
primaryExpenseCategoryNamestring | nullrequired
hasReceiptlessExpensesbooleanrequired
thirdPartyProviderstring | nullrequired

Available options: EXPENSIFY, NAVAN, RAMP, SAP_CONCUR, BILL_SPEND_EXPENSE, PLEO, BREX, null

thirdPartyReportIDstring | nullrequired
reimbursementSyncedAtstring | nullrequired
reimbursementSyncErrorstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits